import { Theme, Track } from '../models';
interface InitTrackInfoPanelOptions {
    container: HTMLElement;
    theme?: Theme;
    timeScaleHeight?: number;
    includeTimeScaleSpacer?: boolean;
    onRenameTrack: (trackId: string, newName: string) => void;
    onRemoveTrack: (trackId: string) => void;
    onMuteTrack: (trackId: string, isMuted: boolean) => void;
}
export declare class TimelineTrackInfoPanelController {
    private panel;
    init(options: InitTrackInfoPanelOptions): void;
    hasPanel(): boolean;
    update(tracks: Track[]): void;
    setScrollTop(scrollTop: number): void;
    destroy(): void;
}
export {};
